#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=pysnmp4

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# There are no unittests, but some documentation string may be
# executed while they are not really unittests.
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs
	http_proxy=http://127.0.0.1:9 \
	https_proxy=https://127.0.0.1:9 \
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/source/ \
		debian/python-pysnmp4-doc/usr/share/doc/python-pysnmp4-doc/html/
